<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage lsicool
 * @author     thememx
 * @version    1.0
 */

$allowed_html = wp_kses_allowed_html( 'post' );

$error_img   = $options->get( 'error_image' );
$error_img   = lsicool_set( $error_img, 'url', lsicool_URI . 'assets/images/icons/error.png' );

?>
<?php get_header();
$data = \lsicool\Includes\Classes\Common::instance()->data( '404' )->get();
do_action( 'lsicool_banner', $data );
$options = lsicool_WSH()->option();
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
		
?>

<!-- error-section -->
<section class="error-section centred">
    <div class="auto-container">
        <div class="inner-box text-center">
            <h1>
				<?php 
                    if( $options->get( '404_page_title' ) ){
                        echo wp_kses( $options->get( '404_page_title' ), true );
                    }else{
                        esc_html_e( '404', 'lsicool' );
                    }
                ?>
            </h1>
            <h2>
				<?php 
                    if( $options->get( '404_page_text' ) ){
                        echo wp_kses( $options->get( '404_page_text' ), true );
                    }else{
                        esc_html_e( 'Oops! The page you are looking for does not exist. Please return to  the site’s homepage.', 'lsicool' );
                    }
                ?>
            </h2>
            <?php if ( $options->get( 'back_home_btn', true ) ) : ?>
            <div class="error-page__btn"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="thm-btn">
                <span class="txt">
				<?php 
                    if( $options->get( 'back_home_btn_label' ) ){
                        echo wp_kses( $options->get( 'back_home_btn_label' ), true );
                    }else{
                        esc_html_e( 'Go To Home', 'lsicool' );
                    }
                ?>
                </span>
            </a></div>
        	<?php endif; ?>
        </div>
    </div>
</section>
<!-- error-section end -->
	
        
<?php
}
get_footer(); ?>
