<?php
/**
 * Archive Main File.
 *
 * @package lsicool
 * @author  thememx
 * @version 1.0
 */

get_header();
global $wp_query;
$data  = \lsicool\Includes\Classes\Common::instance()->data( 'category' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
	
<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'lsicool_banner', $data );?>
<?php else:?>

<!-- Page Title -->
<section class="page-title" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);">
    <div class="auto-container">
        <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( get_the_title() ); ?></h1>
        <ul class="bread-crumb clearfix">
            <?php echo lsicool_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>
    
<!-- blog page -->
<section class="blog-page">
        <div class="container">
        <div class="row">                
            <!--Sidebar Start-->
            <?php
                if ( $data->get( 'layout' ) == 'left' ) {
                    do_action( 'lsicool_sidebar', $data );
                }
            ?>
            <div class="content-side <?php echo esc_attr( $class ); ?>">
                <div class="blog-page-content">	
                    <div class="thm-unit-test">                        
                        <?php
                            while ( have_posts() ) :
                                the_post();
                                lsicool_template_load( 'templates/blog/blog.php', compact( 'data' ) );
                            endwhile;
                            wp_reset_postdata();
                        ?>                            
                    </div>                
                    <!--Pagination-->
                    <div class="pagination-wrapper">
                        <?php lsicool_the_pagination( $wp_query->max_num_pages );?>
                    </div>
                </div>
            </div>            
            <!--Sidebar Start-->
            <?php
                if ( $data->get( 'layout' ) == 'right' ) {
                    do_action( 'lsicool_sidebar', $data );
                }
            ?>            
        </div>
    </div>
</section>
<!--End blog area--> 
	
	<?php
}
get_footer();
