<?php
/**
 * Demo import functionality
 */

function lsicool_import_files() {
	return array(
		array(
			'import_file_name' => 'lsicool One',
			'import_file_url'            => 'https://thememxpro.com/theme/lsicool/demo-files/content.xml',
			'import_widget_file_url'     => 'https://thememxpro.com/theme/lsicool/demo-files/widget.wie',
			'import_redux'               => [
				[
				'file_url'    => 'https://thememxpro.com/theme/lsicool/demo-files/option.json',
				'option_name' => 'lsicool_options',
				],
			],
			'import_preview_image_url' => 'https://thememxpro.com/theme/lsicool/demo-files/demo-one-screenshot.png',
			'import_notice' => __( 'Please click on Import Demo Data to make your installation as you see in lsicool preview site.', 'lsicool' ),
			'preview_url' => 'https://thememxpro.com/theme/lsicool/',
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'lsicool_import_files' );

/**
 * Settings after demo content setup
 */
function lsicool_after_import_setup() {
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'main menu', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations',
		array(
			'main_menu' => $main_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home' );
	$blog_page_id  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
}
add_action( 'pt-ocdi/after_import', 'lsicool_after_import_setup' );
