<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'lsicool' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'lsicool' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'lsicool' ),
				'e' => esc_html__( 'Elementor', 'lsicool' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'lsicool' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'lsicool' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'lsicool' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'lsicool' ),
		    'options'  => array(
				'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'lsicool' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header-1.png',
			    ),
			    'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'lsicool' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header-2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'lsicool' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header-3.png',
			    ),
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v1',
	    ),


		
		
		//Header Top
		array(
            'id' => 'show_topbar1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Top', 'lsicool'),
            'default' => false,
        ),

		array(
            'id' => 'show_sticky_header',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Sticky Header', 'lsicool'),
            'default' => true,
        ),

		array(
            'id' => 'show_search1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'lsicool'),
            'default' => false,
        ),

		
		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'lsicool' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),

		array(
		    'id'       => 'office_hours',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Office Hours', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter Your Office Hours', 'lsicool' ),
		),
		array(
		    'id'       => 'btn_title',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Title', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Button Title', 'lsicool' ),
	    ),
		array(
		    'id'       => 'btn_link',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Link', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Button Link', 'lsicool' ),
	    ),
		array(
		    'id'       => 'social_icons',
		    'type'     => 'textarea',
		    'title'    => esc_html__( 'Social Icons', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Social Icons', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_title',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Number Title', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Number Title', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_no',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Number', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Number', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_tel',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Tel', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Tel', 'lsicool' ),
		),
		
		
		
		
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/

		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'lsicool' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),	
		array(
		    'id'       => 'phone_no2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Number', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Number', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_tel2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Tel', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Tel', 'lsicool' ),
		),
		array(
		    'id'       => 'email2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Email', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Email Address', 'lsicool' ),
		),
		array(
		    'id'       => 'address2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Address', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Address', 'lsicool' ),
		),
		array(
		    'id'       => 'social_icons2',
		    'type'     => 'textarea',
		    'title'    => esc_html__( 'Social Icons', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Social Icons', 'lsicool' ),
	    ),
		array(
		    'id'       => 'btn_title2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Title', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Button Title', 'lsicool' ),
	    ),
		array(
		    'id'       => 'btn_link2',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Link', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Button Link', 'lsicool' ),
	    ),
		


		/***********************************************************************
								Header Version 3
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'lsicool' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		array(
		    'id'       => 'social_icons3',
		    'type'     => 'textarea',
		    'title'    => esc_html__( 'Social Icons', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Social Icons', 'lsicool' ),
	    ),
		array(
		    'id'       => 'office_hours3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Office Hours', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter Your Office Hours', 'lsicool' ),
		),
		array(
		    'id'       => 'address_title3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Address Title', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Address Title', 'lsicool' ),
		),
		array(
		    'id'       => 'address3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Address', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Address', 'lsicool' ),
		),
		array(
		    'id'       => 'phone_title3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Number Title', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Number Title', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_no3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Number', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Number', 'lsicool' ),
	    ),
		array(
		    'id'       => 'phone_tel3',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Phone Tel', 'lsicool' ),
		    'desc'     => esc_html__( 'Enter The Phone Tel', 'lsicool' ),
		),
		

	),
);
