<?php
/**
 * Blog Post Main File.
 *
 * @package lsicool
 * @author  thememx
 * @version 1.0
 */

 get_header();
 $data    = \lsicool\Includes\Classes\Common::instance()->data( 'single' )->get();
 $layout = $data->get( 'layout' );
 $sidebar = $data->get( 'sidebar' );
 $class = ( $data->get( 'layout' ) != 'full' ) ? 'col-xs-12 col-sm-12 col-md-12 col-lg-8' : 'col-xs-12 col-sm-12 col-md-12';
 
 $options = lsicool_WSH()->option();
 
 if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
     
     while(have_posts()) {
        the_post();
        the_content();
     }
 
 } else {
     ?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'lsicool_banner', $data );?>
<?php else:?>

<!--  Page Title -->
<section class="page-header">
    <?php if ( $data->get( 'banner' ) ) : ?>
    <div class="page-header__bg" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);"></div>
    <?php else : ?>
    <div class="page-header__bg" style="background-image: url(<?php echo esc_url(get_template_directory_uri().'/assets/images/background/page-title.jpg');?>);"></div>
    <?php endif; ?>
    <div class="container">
        <div class="page-header__inner">
            <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( wp_title( '' ) ); ?></h2>
            <ul class="thm-breadcrumb">
            <?php echo lsicool_the_breadcrumb(); ?>
            </ul>
        </div>
    </div>
</section>
<?php endif;?>

<!--  blog-details -->
<section class="blog-details">
    <div class="container">
        <div class="row">   
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'lsicool_sidebar', $data );
				}
			?>
            <div class="content-side <?php if(is_active_sidebar( $sidebar ) ): echo esc_attr_e( 'col-xl-8', 'lsicool' ); else : echo esc_attr_e( 'col-xl-12', 'lsicool' ); endif;?>		">         	
				<?php while ( have_posts() ) : the_post(); ?>
                <div class="blog-details__content ">
                    <?php lsicool_template_load( 'templates/blog-single/single-content.php', compact( 'options', 'data' ) ); ?>
                </div>
                <!--End blog-content-->
				<?php endwhile; ?>                
            </div>
            
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'lsicool_sidebar', $data );
				}
			?>
        </div>
    </div>
</section>
<!--End blog area--> 

<?php
}
get_footer();
