<?php
$options = lsicool_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );


//Main Logo 


$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Sticky Logo

$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>


        <?php if($options->get('show_side_menu_bar')){ ?>
        <!-- Start sidebar widget content -->
        <div class="xs-sidebar-group info-group info-sidebar">
            <div class="xs-overlay xs-bg-black"></div>
            <div class="xs-sidebar-widget">
                <div class="sidebar-widget-container">
                    <div class="widget-heading">
                        <a href="#" class="close-side-widget">X</a>
                    </div>
                    <div class="sidebar-textwidget">
                        <div class="sidebar-info-contents">
                            <div class="content-inner">
                                <div class="logo">
                                    <?php echo lsicool_logo( $logo_type, $light_logo, $light_logo_dimension, $logo_text, $logo_typography ); ?>
                                </div>
                                <div class="content-box">
                                    <?php if($options->get('show_sidebar_title2_v1')){ ?>
                                        <h4><?php echo wp_kses($options->get('sidebar_title2_v1'), true); ?></h4>
                                    <?php } ?>
                                    <div class="inner-text">
                                        <?php if($options->get('show_sidebar_content2_v1')){ ?>
                                            <p><?php echo wp_kses($options->get('sidebar_content2_v1'), true); ?></p>
                                        <?php } ?>
                                    </div>
                                </div>

                                <div class="form-inner">
                                    <?php if($options->get('show_form')){ ?>
                                        <h4><?php echo wp_kses( $options->get( 'sidebar_form_title'), $allowed_html ); ?></h4>
                                        <?php echo do_shortcode($options->get('sidebar_form_url')); ?>

                                    <?php } ?>
                                </div>

                                <div class="sidebar-contact-info">
                                    <?php if($options->get('show_header_info_v1')){ ?>
                                        <h4><?php echo wp_kses($options->get('header_info_v1'), true); ?></h4>
                                    <?php } ?>
                                    <ul>
                                        <li>
                                            <span class="icon-pin"></span> <?php echo wp_kses($options->get('header_address2_v1'), true); ?>
                                        </li>
                                        <li>
                                            <span class="icon-email"></span>
                                            <a href="tel:<?php echo wp_kses($options->get('phone_number2_v1'), true); ?>"><?php echo wp_kses($options->get('phone_number2_v1'), true); ?></a>
                                        </li>
                                        <li>
                                            <span class="icon-telephone-call"></span>
                                            <a href="mailto:<?php echo esc_url($options->get('email_address2_v1'), true); ?>"><?php echo wp_kses($options->get('email_address2_v1'), true); ?></a>
                                        </li>
                                    </ul>
                                </div>
                                <?php if($options->get('sidebar_social_icons')){ ?>
                                <div class="thm-social-link1">
                                    <ul class="social-box">
                                        <?php echo wp_kses( $options->get( 'sidebar_social_icons'), $allowed_html ); ?>
                                    </ul>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>

        <header class="main-header main-header-one">

            <?php if( $options->get( 'show_topbar1' ) ):?>
            <!--Start Main Header One Top-->
            <div class="main-header-one__top">
                <div class="auto-container">
                    <div class="main-header-one__top-inner">
                        <div class="main-header-one__top-left">
                            <p><?php echo wp_kses($options->get('office_hours'), true); ?></p>
                        </div>

                        <?php if( $options->get( 'btn_title' ) ):?>
                        <div class="main-header-one__top-middle">
                            <div class="btn-box">
                                <a class="thm-btn" href="<?php echo esc_attr($options->get('btn_link'), true); ?>">
                                    <span class="txt"><?php echo wp_kses($options->get('btn_title'), true); ?></span>
                                </a>
                            </div>
                        </div>
                        <?php endif ?>

                        <div class="main-header-one__top-right">
                            <div class="main-header-one__top-right-inner">
                                <?php if( $options->get( 'social_icons' ) ):?>
                                <div class="header-social-links">
                                    <ul>
                                        <?php echo wp_kses($options->get('social_icons'), true); ?>
                                    </ul>
                                </div>
                                <?php endif ?>
                                <?php if($options->get('show_side_menu_bar')){ ?>
                                <div class="side-content-button-box">
                                    <div class="side-content-button">
                                        <a class="navSidebar-button" href="#">
                                            <span class="decor"></span>
                                            <span class="decor style2"></span>
                                            <span class="decor"></span>
                                        </a>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Main Header One Top-->
            <?php endif ?>

            <!--Start Main Header One Bottom-->
            <div class="main-header-one__bottom">
                <div class="main-header-one__bottom-inner">
                    <nav class="main-menu main-menu-one">
                        <div class="main-menu__wrapper clearfix">
                            <div class="auto-container">
                                <div class="main-menu__wrapper-inner">

                                    <div class="main-header-one__bottom-left">
                                        <div class="logo-box">
                                            <?php echo lsicool_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?>
                                        </div>
                                    </div>

                                    <div class="main-header-one__bottom-middle">
                                        <div class="main-menu-box">
                                            <a href="#" class="mobile-nav__toggler">
                                                <i class="fa fa-bars"></i>
                                            </a>

                                            <ul class="main-menu__list">
                                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
                                                    'container_class'=>'navbar-collapse collapse navbar-right',
                                                    'menu_class'=>'nav navbar-nav',
                                                    'fallback_cb'=>false, 
                                                    'items_wrap' => '%3$s', 
                                                    'container'=>false,
                                                    'depth'=>'3',
                                                    'walker'=> new Bootstrap_walker()  
                                                ) ); ?>
                                            </ul>
                                        </div>
                                    </div>

                                    <div class="main-header-one__bottom-right">
                                        <?php if( $options->get( 'show_search1' ) ) { ?>
                                        <div class="header-search-box">
                                            <a href="#"
                                                class="main-menu__search search-toggler icon-search-interface-symbol">
                                            </a>
                                        </div>
                                        <?php } ?>

                                        <?php if( $options->get( 'phone_no' ) ):?>
                                        <div class="header-contact-box">
                                            <div class="icon-box">
                                                <span class="icon-chatting"></span>
                                            </div>

                                            <div class="text-box">
                                                <p><?php echo wp_kses($options->get('phone_title'), true); ?></p>
                                                <a href="tel:<?php echo esc_attr($options->get('phone_tel'), true); ?>"><?php echo wp_kses($options->get('phone_no'), true); ?></a>
                                            </div>
                                        </div>
                                        <?php endif ?>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
            <!--End Main Header One Bottom-->
        </header>


        <?php if($options->get('show_sticky_header')){ ?>
        <div class="stricky-header stricky-header--one stricked-menu main-menu">
            <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
        </div><!-- /.stricky-header -->
        <?php } ?>



        





 
        <div class="mobile-nav__wrapper">
            <div class="mobile-nav__overlay mobile-nav__toggler"></div>
            <div class="mobile-nav__content">
                <span class="mobile-nav__close mobile-nav__toggler">
                    <i class="icon-plus"></i>
                </span>
                <div class="logo-box">
                <?php echo lsicool_logo( $logo_type, $light_logo, $light_logo_dimension, $logo_text, $logo_typography ); ?>
                </div>
                <div class="mobile-nav__container"></div>
                <ul class="mobile-nav__contact list-unstyled">
                    <?php if($options->get('mobile_email')){ ?>
                    <li>
                        <i class="fa fa-envelope"></i>
                        <a href="mailto:<?php echo wp_kses($options->get('mobile_email'), true); ?>"><?php echo wp_kses($options->get('mobile_email'), true); ?></a>
                    </li>
                    <?php } ?>
                    <?php if($options->get('mobile_phone_no')){ ?>
                    <li>
                        <i class="fa fa-phone-alt"></i>
                        <a href="tel:<?php echo wp_kses($options->get('mobile_phone_no'), true); ?>"><?php echo wp_kses($options->get('mobile_phone_no'), true); ?></a>
                    </li>
                    <?php } ?>
                </ul>
                <?php if($options->get('mobile_social_icons')){ ?>
                <div class="mobile-nav__social">
                    <?php echo wp_kses($options->get('mobile_social_icons'), true); ?>
                </div>
                <?php } ?>
            </div>
        </div>






