<?php
$options = lsicool_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );


//Main Logo 


$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Sticky Logo

$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>





        <!--Start Main Header Two-->
        <header class="main-header main-header-two">
            <?php if( $options->get( 'show_topbar1' ) ):?>
            <!--Start Main Header Two Top-->
            <div class="main-header-two__top">
                <div class="container">
                    <div class="main-header-two__top-inner">
                        <?php if( $options->get( 'social_icons2' ) ):?>
                        <div class="main-header-two__top-left">
                            <div class="main-header-two__social-links">
                                <ul class="clearfix">
                                    <?php echo wp_kses($options->get('social_icons2'), true); ?>
                                </ul>
                            </div>
                        </div>
                        <?php endif ?>

                        <div class="main-header-two__top-right">
                            <div class="main-header-two__top-contact">
                                <ul class="main-header-two__top-contact-list">
                                    <?php if( $options->get( 'phone_no2' ) ):?>
                                    <li>
                                        <div class="icon-box">
                                            <span class="icon-telephone-call"></span>
                                        </div>

                                        <div class="text-box">
                                            <p><a href="tel:<?php echo esc_attr($options->get('phone_tel2'), true); ?>"><?php echo wp_kses($options->get('phone_no2'), true); ?></a></p>
                                        </div>
                                    </li>
                                    <?php endif ?>
                                    <?php if( $options->get( 'email2' ) ):?>
                                    <li>
                                        <div class="icon-box">
                                            <span class="icon-email"></span>
                                        </div>

                                        <div class="text-box">
                                            <p><a href="mailto:<?php echo esc_attr($options->get('email2'), true); ?>"><?php echo wp_kses($options->get('email2'), true); ?></a></p>
                                        </div>
                                    </li>
                                    <?php endif ?>
                                    <?php if( $options->get( 'address2' ) ):?>
                                    <li>
                                        <div class="icon-box">
                                            <span class="icon-location"></span>
                                        </div>

                                        <div class="text-box">
                                            <p><?php echo wp_kses($options->get('address2'), true); ?></p>
                                        </div>
                                    </li>
                                    <?php endif ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Main Header Two Top-->
            <?php endif ?>

            <!--Start Main Header Two Bottom-->
            <div class="main-header-two__bottom">
                <div class="main-header-two__bottom-inner">
                    <nav class="main-menu main-menu-one">
                        <div class="main-menu__wrapper clearfix">
                            <div class="auto-container">
                                <div class="main-menu__wrapper-inner">
                                    <div class="container">
                                        <div class="main-menu__wrapper-inner-box">
                                            <div class="main-header-two__bottom-left">
                                                <div class="logo-box">
                                                    <?php echo lsicool_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?>
                                                </div>
                                            </div>

                                            <div class="main-header-two__bottom-middle">
                                                <div class="main-menu-box">
                                                    <a href="#" class="mobile-nav__toggler">
                                                        <i class="fa fa-bars"></i>
                                                    </a>

                                                    <ul class="main-menu__list">
                                                        <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
                                                            'container_class'=>'navbar-collapse collapse navbar-right',
                                                            'menu_class'=>'nav navbar-nav',
                                                            'fallback_cb'=>false, 
                                                            'items_wrap' => '%3$s', 
                                                            'container'=>false,
                                                            'depth'=>'3',
                                                            'walker'=> new Bootstrap_walker()  
                                                        ) ); ?>
                                                    </ul>
                                                </div>
                                            </div>
                                            <?php if( $options->get( 'btn_title2' ) ):?>
                                            <div class="main-header-two__bottom-right">
                                                <div class="btn-box">
                                                    <a href="<?php echo esc_attr($options->get('btn_link2'), true); ?>"><?php echo wp_kses($options->get('btn_title2'), true); ?></a>
                                                </div>
                                            </div>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
            <!--End Main Header Two Bottom-->
        </header>
        <!--End Main Header Two-->


        <?php if($options->get('show_sticky_header')){ ?>
        <div class="stricky-header stricky-header--two stricked-menu main-menu">
            <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
        </div><!-- /.stricky-header -->
        <?php } ?>





        <div class="mobile-nav__wrapper">
            <div class="mobile-nav__overlay mobile-nav__toggler"></div>
            <div class="mobile-nav__content">
                <span class="mobile-nav__close mobile-nav__toggler">
                    <i class="icon-plus"></i>
                </span>
                <div class="logo-box">
                <?php echo lsicool_logo( $logo_type, $light_logo, $light_logo_dimension, $logo_text, $logo_typography ); ?>
                </div>
                <div class="mobile-nav__container"></div>
                <ul class="mobile-nav__contact list-unstyled">
                    <?php if($options->get('mobile_email')){ ?>
                    <li>
                        <i class="fa fa-envelope"></i>
                        <a href="mailto:<?php echo wp_kses($options->get('mobile_email'), true); ?>"><?php echo wp_kses($options->get('mobile_email'), true); ?></a>
                    </li>
                    <?php } ?>
                    <?php if($options->get('mobile_phone_no')){ ?>
                    <li>
                        <i class="fa fa-phone-alt"></i>
                        <a href="tel:<?php echo wp_kses($options->get('mobile_phone_no'), true); ?>"><?php echo wp_kses($options->get('mobile_phone_no'), true); ?></a>
                    </li>
                    <?php } ?>
                </ul>
                <?php if($options->get('mobile_social_icons')){ ?>
                <div class="mobile-nav__social">
                    <?php echo wp_kses($options->get('mobile_social_icons'), true); ?>
                </div>
                <?php } ?>
            </div>
        </div>








