<?php
$options = lsicool_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );


//Main Logo 


$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Sticky Logo

$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>



        <header class="main-header main-header-three">
            <?php if( $options->get( 'show_topbar1' ) ):?>
            <!--Start Main Header Three Top-->
            <div class="main-header-three__top">
                <div class="auto-container">
                    <div class="main-header-three__top-inner">
                        <div class="main-header-three__top-left">
                            <?php if( $options->get( 'social_icons3' ) ):?>
                            <div class="main-header-three__social-links">
                                <ul class="clearfix">
                                    <?php echo wp_kses($options->get('social_icons3'), true); ?>
                                </ul>
                            </div>
                            <?php endif ?>

                            <?php if( $options->get( 'office_hours3' ) ):?>
                            <div class="main-header-three__top-left-text">
                                <p><?php echo wp_kses($options->get('office_hours3'), true); ?></p>
                            </div>
                            <?php endif ?>
                        </div>

                        <div class="main-header-three__top-right">
                            <?php if( $options->get( 'show_search1' ) ):?>
                            <div class="header-search-box">
                                <a href="#" class="main-menu__search search-toggler icon-search-interface-symbol">
                                </a>
                            </div>
                            <?php endif ?>

                            <?php if( $options->get( 'address3' ) ):?>
                            <div class="main-header-three__top-location">
                                <div class="icon-box">
                                    <span class="icon-placeholder"></span>
                                </div>

                                <div class="content-box">
                                    <p><?php echo wp_kses($options->get('address_title3'), true); ?></p>
                                    <h3><?php echo wp_kses($options->get('address3'), true); ?></h3>
                                </div>
                            </div>
                            <?php endif ?>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Main Header Three Top-->
            <?php endif ?>

            <!--Start Main Header Three Bottom-->
            <div class="main-header-three__bottom">
                <div class="main-header-three__bottom-inner">
                    <nav class="main-menu main-menu-one">
                        <div class="main-menu__wrapper clearfix">
                            <div class="auto-container">
                                <div class="main-menu__wrapper-inner">

                                    <div class="main-header-three__bottom-left">
                                        <div class="logo-box">
                                            <?php echo lsicool_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?>
                                        </div>
                                    </div>

                                    <div class="main-header-three__bottom-middle">
                                        <div class="main-menu-box">
                                            <a href="#" class="mobile-nav__toggler">
                                                <i class="fa fa-bars"></i>
                                            </a>

                                            <ul class="main-menu__list">
                                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
                                                    'container_class'=>'navbar-collapse collapse navbar-right',
                                                    'menu_class'=>'nav navbar-nav',
                                                    'fallback_cb'=>false, 
                                                    'items_wrap' => '%3$s', 
                                                    'container'=>false,
                                                    'depth'=>'3',
                                                    'walker'=> new Bootstrap_walker()  
                                                ) ); ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <?php if( $options->get( 'phone_no3' ) ):?>
                                    <div class="main-header-three__bottom-right">
                                        <div class="icon-box">
                                            <span class="icon-ringing"></span>
                                        </div>

                                        <div class="content-box">
                                            <p><?php echo wp_kses($options->get('phone_title3'), true); ?></p>
                                            <a href="tel:<?php echo wp_kses($options->get('phone_tel3'), true); ?>"><?php echo wp_kses($options->get('phone_no3'), true); ?></a>
                                        </div>
                                    </div>
                                    <?php endif ?>
                                </div>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
            <!--End Main Header Three Bottom-->
        </header>



        <?php if($options->get('show_sticky_header')){ ?>
        <div class="stricky-header stricky-header--three stricked-menu main-menu">
            <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
        </div><!-- /.stricky-header -->
        <?php } ?>  






        
        <div class="mobile-nav__wrapper">
            <div class="mobile-nav__overlay mobile-nav__toggler"></div>
            <div class="mobile-nav__content">
                <span class="mobile-nav__close mobile-nav__toggler">
                    <i class="icon-plus"></i>
                </span>
                <div class="logo-box">
                <?php echo lsicool_logo( $logo_type, $light_logo, $light_logo_dimension, $logo_text, $logo_typography ); ?>
                </div>
                <div class="mobile-nav__container"></div>
                <ul class="mobile-nav__contact list-unstyled">
                    <?php if($options->get('mobile_email')){ ?>
                    <li>
                        <i class="fa fa-envelope"></i>
                        <a href="mailto:<?php echo wp_kses($options->get('mobile_email'), true); ?>"><?php echo wp_kses($options->get('mobile_email'), true); ?></a>
                    </li>
                    <?php } ?>
                    <?php if($options->get('mobile_phone_no')){ ?>
                    <li>
                        <i class="fa fa-phone-alt"></i>
                        <a href="tel:<?php echo wp_kses($options->get('mobile_phone_no'), true); ?>"><?php echo wp_kses($options->get('mobile_phone_no'), true); ?></a>
                    </li>
                    <?php } ?>
                </ul>
                <?php if($options->get('mobile_social_icons')){ ?>
                <div class="mobile-nav__social">
                    <?php echo wp_kses($options->get('mobile_social_icons'), true); ?>
                </div>
                <?php } ?>
            </div>
        </div>
    








